Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 140716 - the block cursor should be used for the caret position
Summary: the block cursor should be used for the caret position
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 137149
TreeView+ depends on / blocked
 
Reported: 2004-11-24 13:37 UTC by Akira TAGOH
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-30 05:13:25 UTC


Attachments (Terms of Use)

Description Akira TAGOH 2004-11-24 13:37:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Right now OOo's cursor handling for the caret position looks bad, on
even fixed im-sdk packages. and using the block cursor is better way
to solve this problem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run oowriter with ja_JP.UTF-8 locale.
2.press ctrl+space s u s h i space n i h o n g o space a backspace
3.
    

Actual Results:  the cursor is located at the beginning of nihongo.

Expected Results:  the block cursor should highlight all of words nihongo.

Additional info:

please compare between gedit and OOo to see what happens. also, the
latest im-sdk (hopefully it will be built soon. otherwise please use
CVS one. let me know if you are unsure) is required, which the caret
position problem was fixed.

Comment 1 Dan Williams 2004-11-30 02:30:13 UTC
This should be fixed with 1.1.2-14.6.EL4, correct?

Comment 2 Akira TAGOH 2004-11-30 05:09:03 UTC
Yes, that's fine. Thanks Dan.


Note You need to log in before you can comment on or make changes to this bug.